Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FSDK.OutputPreview Class Reference

## Public Member Functions
| constructor (pdf_doc)
| Constructor, with parameters. More...
| EnableSimulateOverprint (is_to_simulate_overprint)
| Set the flag to decide whether to enable simulate overprint. More...
| GeneratePreviewBitmap (page, matrix, renderer)
| Generate the output preview bitmap for a PDF page. More...
| GetPlates (colorant_type)
| Get Separations plates. More...
| GetSpotPlateColor (plate_name)
| Get the color value of a plate. More...
| IsChecked (plate_name)
| Check whether a plate is checked or not. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| SetCheckStatus (plate_name, to_check)
| Set the check status for a plate. More...
| SetShowType (show_type)
| Set show type. More...
| SetSimulationProfile (icc_profile_path)
| Set simulation ICC profile file path. More...

## Static Public Attributes
static | e_ColorantTypeProcess
| Enumeration for colorant type. More...
static | e_ColorantTypeSpot
| Colorant type: spot.
static | e_ShowAll
| Enumeration for show type. More...
static | e_ShowCalGray
| If set, only show with CalGray.
static | e_ShowCalibrated
| If set, only show with Calibrated.
static | e_ShowCMYK
| If set, only show with CMYK.
static | e_ShowDevice
| If set, only show with Device.
static | e_ShowDeviceCMYK
| If set, only show with DeviceCMYK.
static | e_ShowDeviceCMYKAndSpot
| If set, only show with DeviceCMYK and spot.
static | e_ShowDeviceGray
| If set, only show with DeviceGray.
static | e_ShowDeviceN
| If set, only show with DeviceN.
static | e_ShowDeviceRGB
| If set, only show with DeviceRGB.
static | e_ShowGray
| If set, only show with Gray.
static | e_ShowICCBasedCMYK
| If set, only show with ICCBased CMYK.
static | e_ShowICCBasedRGB
| If set, only show with ICCBased RGB.
static | e_ShowImages
| If set, only show images.
static | e_ShowLab
| If set, only show with Lab.
static | e_ShowLineArt
| If set, only show line art.
static | e_ShowNotDeviceCMYK
| If set, only show without DeviceCMYK.
static | e_ShowNotDeviceCMYKOrSpot
| If set, only show with DeviceCMYK or spot.
static | e_ShowRegistrationColor
| If set, only show registration color.
static | e_ShowRGB
| If set, only show with RGB.
static | e_ShowSmoothShades
| If set, only show smooth shades.
static | e_ShowSolidColor
| If set, only show solid color.
static | e_ShowSpotColor
| If set, only show with spot color.
static | e_ShowText
| If set, only show text.

## Detailed Description

This class can be used to do output preview. Output preview is to preview color separations and test different color profiles. Before use this class, please ensure function FSDK.Library.SetDefaultICCProfilesPath has been called successfully; otherwise unexpcted error or result may occur when this class is being used to do output preview. Currently, this feature is not supported on the Linux ARM and Mac ARM platform.

## Member Function Documentation

## ◆ constructor()

FSDK.OutputPreview.constructor | ( | pdf_doc |  | ) |

Constructor, with parameters.

Parameters

  [in] | pdf_doc | A valid PDF document object.

## ◆ EnableSimulateOverprint()

FSDK.OutputPreview.EnableSimulateOverprint | ( | is_to_simulate_overprint |  | ) |

Set the flag to decide whether to enable simulate overprint.

If this function is not called, default value true will be used.

Parameters

  [in] | is_to_simulate_overprint | true means to simulate overprinting. false means not to simulate overprinting.

Returns
  None.

## ◆ GeneratePreviewBitmap()

FSDK.OutputPreview.GeneratePreviewBitmap | ( | page | ,
|  | matrix | ,
|  | renderer |
| ) |  |

Generate the output preview bitmap for a PDF page.

This function will render target PDF page with flags and options specified in input renderer and settings of current output preview object, and then return the final output preview bitmap. Rendering process in this function will not affect input renderer.
Please ensure function FSDK.OutputPreview.SetSimulationProfile has been called successfully; otherwise this function will throw FSDK.e_ErrUnsupported.

Parameters

  [in] | page | A valid PDF page object. This PDF page should have been parsed.
  [in] | matrix | The transformation matrix used for rendering, which is usually returned by function FSDK.PDFPage.GetDisplayMatrix.
  [in] | renderer | A valid renderer object.

Returns
  A bitmap which represents the output preview result.

## ◆ GetPlates()

FSDK.OutputPreview.GetPlates | ( | colorant_type |  | ) |

Get Separations plates.

If to get plates of process colorant type, please ensure function FSDK.OutputPreview.SetSimulationProfile has been called successfully; otherwise no plate of process colorant type will be retrieved.

Parameters

  [in] | colorant_type | Colorant type. Please refer to values starting from FSDK.OutputPreview.e_ColorantTypeProcess and this should be one of these values.

Returns
  A string array which represents plate names.

## ◆ GetSpotPlateColor()

FSDK.OutputPreview.GetSpotPlateColor | ( | plate_name |  | ) |

Get the color value of a plate.

This function is only useful for a plate in spot colorant type.

Parameters

  [in] | plate_name | Plate name. This can be retrieved form the returned string array of function FSDK.OutputPreview.GetPlates.

Returns
  RGB color of the specified plate.

## ◆ IsChecked()

FSDK.OutputPreview.IsChecked | ( | plate_name |  | ) |

Check whether a plate is checked or not.

For a newly constructed output preview object, all the plates are not checked.

Parameters

  [in] | plate_name | Plate name. This can be retrieved from the returned string array of function FSDK.OutputPreview.GetPlates.

Returns
  true means the plate is checked, while false means the plate is not checked.

## ◆ IsEmpty()

FSDK.OutputPreview.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetCheckStatus()

FSDK.OutputPreview.SetCheckStatus | ( | plate_name | ,
|  | to_check |
| ) |  |

Set the check status for a plate.

Parameters

  [in] | plate_name | Plate name. This can be retrieved from the returned string array of function FSDK.OutputPreview.GetPlates.
  [in] | to_check | Check status: true means to check the plate, while false means not to check the plate.

Returns
  None.

## ◆ SetShowType()

FSDK.OutputPreview.SetShowType | ( | show_type |  | ) |

Set show type.

If no show type is set to current object, value FSDK.OutputPreview.e_ShowAll will be used by default when function FSDK.OutputPreview.GeneratePreviewBitmap is called.

Parameters

  [in] | show_type | Show type. Please refer to values starting from FSDK.OutputPreview.e_ShowAll and this should be one of these values.

Returns
  None.

## ◆ SetSimulationProfile()

FSDK.OutputPreview.SetSimulationProfile | ( | icc_profile_path |  | ) |

Set simulation ICC profile file path.

If the color space of input ICC profile file is not one of RGB/Gray/CMYK, this function will throw FSDK.e_ErrUnsupported.
This function should be called successfully before calling function FSDK.OutputPreview.GeneratePreviewBitmap.

Parameters

  [in] | icc_profile_path | File path for an ICC profile which is to be used as simulation profile for output preview.

Returns
  None.

## Member Data Documentation

## ◆ e_ColorantTypeProcess

FSDK.OutputPreview.e_ColorantTypeProcess
| static

Enumeration for colorant type.

Values of this enumeration should be used alone.

Colorant type: process.

## ◆ e_ShowAll

FSDK.OutputPreview.e_ShowAll
| static

Enumeration for show type.

Values of this enumeration should be used alone.

If set, show all.